ibus_1.5.11-1ubuntu2_amd64.deb


Advertisement

Description

ibus - Intelligent Input Bus - core

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename ibus_1.5.11-1ubuntu2_amd64.deb
Package name ibus
Package version 1.5.11
Package release 1ubuntu2
Package architecture amd64
Package type deb
Category utils
Homepage https://github.com/ibus/ibus/releases
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 200.04 KB
Installed size 1.30 MB
IBus is an Intelligent Input Bus. It is a new input framework for the Linux
OS. It provides full featured and user friendly input method user interface.
It also may help developers to develop input method easily.

Alternatives

Package Version Architecture Repository
ibus_1.5.11-1ubuntu2.1_amd64.deb 1.5.11 amd64 Ubuntu Updates Main
ibus_1.5.11-1ubuntu2.1_i386.deb 1.5.11 i386 Ubuntu Updates Main
ibus_1.5.11-1ubuntu2_i386.deb 1.5.11 i386 Ubuntu Main
ibus - - -

Requires

Name Value
adwaita-icon-theme -
dconf-cli -
dconf-gsettings-backend -
gir1.2-gtk-3.0 >= 3.8.5
gir1.2-ibus-1.0 = 1.5.11-1ubuntu2
gsettings-backend -
libatk1.0-0 >= 1.12.4
libc6 >= 2.14
libcairo2 >= 1.2.4
libdconf1 >= 0.14.0
libgdk-pixbuf2.0-0 >= 2.22.0
libglib2.0-0 >= 2.37.3
libgtk-3-0 >= 3.9.10
libibus-1.0-5 >= 1.5.11-1ubuntu2
libnotify4 >= 0.7.0
libpango-1.0-0 >= 1.14.0
libpangocairo-1.0-0 >= 1.14.0
librsvg2-common -
libx11-6 -
libxi6 >= 2:1.2.99.4
python3-gi -
python3:any >= 3.3.2-2~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package ibus_1.5.11-1ubuntu2_amd64.deb
Source Package ibus

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ibus deb package:
    # sudo apt-get install ibus

Files

Path
/etc/dconf/db/ibus.d/00-upstream-settings
/etc/dconf/profile/ibus
/usr/bin/ibus
/usr/bin/ibus-daemon
/usr/bin/ibus-setup
/usr/lib/ibus/ibus-dconf
/usr/lib/ibus/ibus-engine-simple
/usr/lib/ibus/ibus-ui-gtk3
/usr/lib/ibus/ibus-x11
/usr/share/GConf/gsettings/ibus.convert
/usr/share/applications/ibus-setup.desktop
/usr/share/bash-completion/completions/ibus.bash
/usr/share/bug/ibus/presubj
/usr/share/bug/ibus/script
/usr/share/doc/ibus/AUTHORS
/usr/share/doc/ibus/README
/usr/share/doc/ibus/README.Debian.gz
/usr/share/doc/ibus/changelog.Debian.gz
/usr/share/doc/ibus/copyright
/usr/share/glib-2.0/schemas/10_ibus.gschema.override
/usr/share/glib-2.0/schemas/org.freedesktop.ibus.gschema.xml
/usr/share/ibus/component/dconf.xml
/usr/share/ibus/component/gtkpanel.xml
/usr/share/ibus/component/simple.xml
/usr/share/ibus/keymaps/common
/usr/share/ibus/keymaps/in
/usr/share/ibus/keymaps/jp
/usr/share/ibus/keymaps/kr
/usr/share/ibus/keymaps/modifiers
/usr/share/ibus/keymaps/us
/usr/share/ibus/setup/engineabout.py
/usr/share/ibus/setup/enginecombobox.py
/usr/share/ibus/setup/enginedialog.py
/usr/share/ibus/setup/enginetreeview.py
/usr/share/ibus/setup/i18n.py
/usr/share/ibus/setup/icon.py
/usr/share/ibus/setup/keyboardshortcut.py
/usr/share/ibus/setup/main.py
/usr/share/ibus/setup/setup-unity.ui
/usr/share/ibus/setup/setup.ui
/usr/share/icons/hicolor/16x16/apps/ibus-keyboard.png
/usr/share/icons/hicolor/22x22/apps/ibus-keyboard.png
/usr/share/icons/hicolor/24x24/apps/ibus-keyboard.png
/usr/share/icons/hicolor/32x32/apps/ibus-keyboard.png
/usr/share/icons/hicolor/48x48/apps/ibus-keyboard.png
/usr/share/icons/hicolor/scalable/apps/ibus-engine.svg
/usr/share/icons/hicolor/scalable/apps/ibus-keyboard.svg
/usr/share/icons/hicolor/scalable/apps/ibus-setup.svg
/usr/share/icons/hicolor/scalable/apps/ibus.svg
/usr/share/lintian/overrides/ibus
/usr/share/man/man1/ibus-daemon.1.gz
/usr/share/man/man1/ibus-setup.1.gz
/usr/share/man/man1/ibus.1.gz
/usr/share/python3/runtime.d/ibus.rtupdate

Changelog

2016-01-19 - Iain Lane <iain@orangesquash.org.uk>
ibus (1.5.11-1ubuntu2) xenial; urgency=medium
* debian/ibus.gsettings-override:
- Use system keyboard layout by default (LP: #1240198).
2015-11-30 - Aron Xu <happyaron.xu@gmail.com>
ibus (1.5.11-1ubuntu1) xenial; urgency=medium
* Merge with Debian, remaining changes:
- ubuntu-no-notification.patch: Don't show the notification if not
actually upgrading from a previous version.
- ubuntu-disable-trigger.patch: Disable input method switching
under Unity; it's handled by gnome-settings-daemon.
- ubuntu-forward-panel-properties.patch: Augment the panel service
D-Bus interface so that external consumers can detect when the panel
service properties are changed.
- Switch gnome-icon-theme to adwaita-icon-theme
2015-11-19 - Aron Xu <aron@debian.org>
ibus (1.5.11-1) unstable; urgency=medium
* Replace gnome-icon-theme with adwaita-icon-theme, thanks to Iain Lane
* Imported Upstream version 1.5.11
2015-06-14 - Aron Xu <aron@debian.org>
ibus (1.5.10-1) unstable; urgency=medium
* Imported Upstream version 1.5.10.
* Remove ibus-zz-C.UTF-8.patch, applied upstream.
* Drop python-notify dependency (Closes: #781920).
* Build with python3 only (LP: #1440391).
2014-10-23 - Osamu Aoki <osamu@debian.org>
ibus (1.5.9-1) unstable; urgency=medium
* New upstream release.
2014-10-22 - Osamu Aoki <osamu@debian.org>
ibus (1.5.8-4) unstable; urgency=medium
* Enable M-A. 
2014-10-10 - Osamu Aoki <osamu@debian.org>
ibus (1.5.8-3) unstable; urgency=medium
* Debian jessie has C.UTF-8 but doen't always have en_US.UTF-8.  
Closes: #758385
2014-08-06 - Aron Xu <aron@debian.org>
ibus (1.5.8-2) unstable; urgency=medium
* Disable parallel to try avoid FTBFS on kfreebsd*
2014-08-04 - Osamu Aoki <osamu@debian.org>
ibus (1.5.8-1) unstable; urgency=medium
[ Aron Xu ]
* Allow parallel building
[ Osamu Aoki ]
* Update ibus document with Qt5 support
[ Aron Xu ]
* Imported Upstream version 1.5.8
* Remove patch for chasing HEAD, imported new upstream release
* Remove the patch for updating IBusKeymap jp, applied upstream
* Drop gtk2 version of the password patch because it's never executed
* Drop ibus-541492-xkb.patch
* Drop ibus-530711-preload-sys.patch
* Drop ibus-810211-no-switch-by-no-trigger.patch
* Drop 999-update-po.patch
[ Osamu Aoki ]
* linux-any for ibus-wayland
* Remove some symbols matching ibus-541492-xkb.patch
* Remove old patch for GTK+ 3.6
2014-07-27 - Osamu Aoki <osamu@debian.org>
ibus (1.5.7-2) unstable; urgency=medium
* Fix Japanese keycode/keysym table (upstream accepted patch).
* Build override modules with python-gi-dev and include them 
in gir*. Closes: #754670
* Add debug package. Closes: #754650

See Also

Package Description
icc-profiles-free_2.0.1+dfsg-1_all.deb ICC color profiles for use with color profile aware software
icu-devtools_55.1-7_amd64.deb Development utilities for International Components for Unicode
icu-doc_55.1-7_all.deb API documentation for ICU classes and functions
idle-python2.7_2.7.11-7ubuntu1_all.deb IDE for Python (v2.7) using Tkinter
idle-python3.5_3.5.1-10_all.deb IDE for Python (v3.5) using Tkinter
idle3_3.5.1-3_all.deb IDE for Python using Tkinter (default version)
idle_2.7.11-1_all.deb IDE for Python using Tkinter (default version)
ieee-data_20150531.1_all.deb OUI and IAB listings
ifenslave_2.7ubuntu1_all.deb configure network interfaces for parallel routing (bonding)
ifupdown_0.8.10ubuntu1_amd64.deb high level tools to configure network interfaces
im-config_0.29-1ubuntu12_all.deb Input method configuration framework
imagemagick-6.q16_6.8.9.9-7ubuntu5_amd64.deb image manipulation programs -- quantum depth Q16
imagemagick-common_6.8.9.9-7ubuntu5_all.deb image manipulation programs -- infrastructure
imagemagick-doc_6.8.9.9-7ubuntu5_all.deb document files of ImageMagick
imagemagick_6.8.9.9-7ubuntu5_amd64.deb image manipulation programs -- binaries
Advertisement
Advertisement